Skip to main content
GET
/
smart-transfers
/
{ticketId}
TypeScript
const response: Promise<FireblocksResponse<SmartTransferTicketResponse>> = fireblocks.smartTransfer.findTicketById(smartTransferApiFindTicketByIdRequest);
{
  "message": "Success",
  "data": {
    "id": "118320d2-761f-46c7-96cf-65e71a370b36",
    "type": "ASYNC",
    "status": "DRAFT",
    "createdByNetworkId": "3eaa94c5-128b-4835-bb08-3111bb6564c7",
    "createdByNetworkIdName": "Network id name",
    "createdAt": "2023-03-01T11:23:00Z",
    "updatedAt": "2023-03-01T11:23:00Z",
    "direction": "EXCHANGE",
    "dvpExecutionStatus": "STARTED",
    "orderCreatedByNetworkId": "3eaa94c5-128b-4835-bb08-3111bb6564c7",
    "terms": [
      {
        "id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
        "ticketId": "118320d2-761f-46c7-96cf-65e71a370b36",
        "amount": "10.00",
        "asset": "ETH",
        "fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
        "toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
        "status": "CREATED"
      },
      {
        "id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
        "ticketId": "118320d2-761f-46c7-96cf-65e71a370b36",
        "amount": "10.00",
        "asset": "ETH",
        "fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
        "fromNetworkIdName": "Source network profile 1",
        "toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
        "toNetworkIdName": "Destination network profile 1",
        "status": "FUNDING",
        "connectionId": "14817440-d5c8-4dbd-a754-ad415683610c",
        "fbTxId": "79075e8c-1fd9-4c97-9575-3bd9229e5c0d",
        "createdAt": "2023-03-01T11:23:00.000Z",
        "updatedAt": "2023-03-01T11:23:00.000Z"
      },
      {
        "id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
        "ticketId": "118320d2-761f-46c7-96cf-65e71a370b36",
        "amount": "10.00",
        "asset": "ETH",
        "fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
        "fromNetworkIdName": "Source network profile 2",
        "toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
        "toNetworkIdName": "Destination network profile 2",
        "status": "FUNDED",
        "connectionId": "14817440-d5c8-4dbd-a754-ad415683610c",
        "fbTxId": "79075e8c-1fd9-4c97-9575-3bd9229e5c0d",
        "txHash": "0xb5c8bd9430b6cc87a0e2fe110ece6bf527fa4f170a4bc8cd032f768fc5219838",
        "createdAt": "2023-03-01T11:23:00.000Z",
        "updatedAt": "2023-03-01T11:23:00.000Z"
      }
    ],
    "expiresIn": "13",
    "expiresAt": "2023-03-01T11:23:00Z",
    "submittedAt": "2023-03-01T11:23:00Z",
    "expiredAt": "2023-03-01T11:23:00Z",
    "canceledAt": "2023-03-01T11:23:00Z",
    "fulfilledAt": "2023-03-01T11:23:00Z",
    "externalRefId": "2631ffb9d8fe47c6b0825b5be28297da",
    "note": "Random note",
    "canceledByNetworkIdName": "Network id name",
    "canceledByMe": true,
    "createdByMe": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

ticketId
string
required

Response

Smart Transfer ticket returned successfully

message
string | null
required

Result message

Example:

"Success"

data
object

Data object with result data